<template>
  <q-page class="q-pa-lg">
    <div class="row">
      <div class="col-md-4">
        <div class="text-h5">Hubungi Kami</div>
        <div class="text-grey q-py-lg">
          Apabila terjadi sesuatu terhadap keberlangsungan hidup anda, kami
          tidak bertanggung jawab, jangan hubungi kecuali ingin mentraktir
        </div>
        <div class="row q-my-md">
          <div class="col-4 text-orange">Address</div>
          <div class="col-8">Jalan M.Yamin, Samarinda - Kalimantan Timur</div>
        </div>
        <div class="row q-my-md">
          <div class="col-4 text-orange">Phone</div>
          <div class="col-8">(+62) 81318331005</div>
        </div>
        <div class="row q-my-md">
          <div class="col-4 text-orange">Email</div>
          <div class="col-8">admin@gmail.com</div>
        </div>
      </div>
      <div class="col-md-8">
        <div class="text-h5">Tinggalkan Balasan</div>
        <div class="row q-my-md">
          <div class="col-6 q-pa-sm">
            <q-input
              color="purple"
              outlined
              v-model="name"
              label="Nama"
              dense
            />
          </div>
          <div class="col-6 q-pa-sm">
            <q-input
              color="purple"
              outlined
              v-model="email"
              label="Email"
              dense
            />
          </div>
          <div class="col-12 q-pa-sm">
            <q-input
              type="textarea"
              color="purple"
              outlined
              v-model="msg"
              label="Pesan"
              dense
            />
          </div>
          <div class="col-12 q-pa-sm">
            <q-btn class="bg-orange" flat>Kirim</q-btn>
          </div>
        </div>
      </div>
    </div>
  </q-page>
</template>

<script lang="ts">
import { defineComponent, ref } from 'vue';

export default defineComponent({
  name: 'ContactPage',
  setup() {
    return {
      name: ref(''),
      email: ref(''),
      msg: ref(''),
    };
  },
});
</script>
